From 4bf5d5e5533b48eb302dec619592f9bff66d2f83 Mon Sep 17 00:00:00 2001
From: Hajime Matsunaga <hajime.matsunaga@oss.nttdata.com>
Date: Wed, 3 Jul 2024 07:22:29 +0000
Subject: [PATCH v2] Doc: fix track_io_timing description to mention pg_stat_io

---
 doc/src/sgml/config.sgml     | 4 +++-
 doc/src/sgml/monitoring.sgml | 4 ++--
 2 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 17d84bd321..ff7c1e7864 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -8319,7 +8319,9 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         measure the overhead of timing on your system.
         I/O timing information is
         displayed in <link linkend="monitoring-pg-stat-database-view">
-        <structname>pg_stat_database</structname></link>, in the output of
+        <structname>pg_stat_database</structname></link> and
+        <link linkend="monitoring-pg-stat-io-view">
+        <structname>pg_stat_io</structname></link>, in the output of
         <xref linkend="sql-explain"/> when the <literal>BUFFERS</literal> option
         is used, in the output of <xref linkend="sql-vacuum"/> when
         the <literal>VERBOSE</literal> option is used, by autovacuum
diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 991f629907..ce133075a4 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -180,12 +180,12 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
 
   <para>
    The parameter <xref linkend="guc-track-io-timing"/> enables monitoring
-   of block read and write times.
+   of block read, block write, extend, and fsync times.
   </para>
 
   <para>
    The parameter <xref linkend="guc-track-wal-io-timing"/> enables monitoring
-   of WAL write times.
+   of WAL write and fsync times.
   </para>
 
   <para>
-- 
2.43.0

